import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import _JSXStyle from "styled-jsx/style";
import React from "react";
import { Button } from "semantic-ui-react";
import { PureComponent } from "react";
import { bool, func, string } from "prop-types";
import { isNil } from "lodash";
export class DatePickerButtons extends PureComponent {
  constructor() {
    super(...arguments);

    _defineProperty(this, "handleClear", event => {
      const {
        canClear,
        onClear
      } = this.props;

      if (canClear) {
        onClear(event, this.props);
      }
    });

    _defineProperty(this, "handleApply", event => {
      const {
        canApply,
        onApply
      } = this.props;

      if (canApply) {
        onApply(event, this.props);
      }
    });
  }

  renderClearButton() {
    const {
      canClear,
      allowClear,
      clearText
    } = this.props;

    if (!allowClear) {
      return null;
    } // Must used a CSS class to hide the button instead of conditional rendering otherwise clicking the button will be considered an outside click.


    return React.createElement(Button, {
      onClick: this.handleClear,
      className: !canClear ? "ghost short disabled" : "ghost short"
    }, clearText);
  }

  renderApplyButton() {
    const {
      canApply,
      applyText
    } = this.props;
    return (// Sadly, the div container is necessary to apply styled-jsx. Fragment doesn't work.
      React.createElement("div", {
        className: "jsx-1634713581" + " " + "container"
      }, React.createElement(Button, {
        onClick: this.handleApply,
        className: !canApply ? "ghost short disabled" : "primary ghost short"
      }, applyText), React.createElement(_JSXStyle, {
        id: "1634713581"
      }, [".container.jsx-1634713581{margin-left:auto;}"]))
    );
  }

  render() {
    const {
      className
    } = this.props;
    const defaultClasses = "flex ph6 pb6";
    const classes = isNil(className) ? defaultClasses : "".concat(defaultClasses, " ").concat(className);
    return React.createElement("div", {
      className: classes
    }, this.renderClearButton(), this.renderApplyButton());
  }

}

_defineProperty(DatePickerButtons, "defaultProps", {
  clearText: "Clear",
  applyText: "Apply"
});