import React from "react";
import { animated, useSpring } from "react-spring";
import { any, bool, string } from "prop-types";
import { isUndefined } from "lodash"; // Since the date pickers are currently not based on hooks, the animation must be developed in an external component.

export const FadeIn = (_ref) => {
  let {
    active,
    elementType,
    children,
    className
  } = _ref;
  const AnimatedComponent = animated[elementType];

  if (isUndefined(AnimatedComponent)) {
    throw new Error("SlideInTop - elementType ".concat(elementType, " is invalid"));
  }

  const transition = useSpring({
    opacity: active ? 1 : 0,
    display: active ? "block" : "none"
  });
  return React.createElement(AnimatedComponent, {
    style: transition,
    className: className
  }, children);
};
FadeIn.defaultProps = {
  elementType: "div"
};