import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import React from "react";
import { DatePickerTextboxInput } from "../date-picker-textbox-input";
import { PureComponent } from "react";
import { bool, func, node, string } from "prop-types";
import { isNil } from "lodash";
import { momentObj as momentType } from "react-moment-proptypes";
import { useHandlerProxy } from "@orbit-ui/react-components-shared";
export class SingleDatePickerInput extends PureComponent {
  constructor() {
    super(...arguments);

    _defineProperty(this, "handleBoundingClientRectChange", useHandlerProxy(this, "onBoundingClientRectChange"));

    _defineProperty(this, "handleClick", useHandlerProxy(this, "onClick"));

    _defineProperty(this, "handleKeyDown", useHandlerProxy(this, "onKeyDown"));

    _defineProperty(this, "handleFocus", useHandlerProxy(this, "onFocus"));

    _defineProperty(this, "handleBlur", useHandlerProxy(this, "onBlur"));

    _defineProperty(this, "handleOpen", useHandlerProxy(this, "onOpen"));

    _defineProperty(this, "handleClose", useHandlerProxy(this, "onClose"));
  }

  getValue() {
    const {
      date,
      dateFormat
    } = this.props;

    if (!isNil(date)) {
      return date.format(dateFormat);
    }

    return "";
  }

  render() {
    const {
      onClear,
      allowClear,
      placeholder,
      icon,
      clearIcon,
      disabledIcon,
      disabled,
      open,
      className
    } = this.props;
    return React.createElement(DatePickerTextboxInput, {
      value: this.getValue(),
      onClick: this.handleClick,
      onKeyDown: this.handleKeyDown,
      onFocus: this.handleFocus,
      onBlur: this.handleBlur,
      onOpen: this.handleOpen,
      onClose: this.handleClose,
      onClear: onClear,
      onBoundingClientRectChange: this.handleBoundingClientRectChange,
      allowClear: allowClear,
      placeholder: placeholder,
      icon: icon,
      clearIcon: clearIcon,
      disabledIcon: disabledIcon,
      disabled: disabled,
      open: open,
      className: className
    });
  }

}