import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import React from "react";
import { Button, Ref } from "semantic-ui-react";
import { PureComponent, createRef } from "react";
import { func, string } from "prop-types";
import { isNil } from "lodash";
import { useHandlerProxy } from "@orbit-ui/react-components-shared"; // import EventStack from "@semantic-ui-react/event-stack";

export class MultiSelectClearButton extends PureComponent {
  constructor() {
    super(...arguments);

    _defineProperty(this, "_buttonRef", createRef());

    _defineProperty(this, "handleClick", useHandlerProxy(this, "onClick"));
  }

  getClasses() {
    const {
      className
    } = this.props;
    const defaultClasses = "ghost tall";
    return isNil(className) ? defaultClasses : "".concat(defaultClasses, " ").concat(className);
  }

  render() {
    const {
      text
    } = this.props;
    return React.createElement(Ref, {
      innerRef: this._buttonRef
    }, React.createElement(Button, {
      onClick: this.handleClick,
      className: this.getClasses()
    }, text));
  }

}

_defineProperty(MultiSelectClearButton, "defaultProps", {
  text: "Clear all"
});