import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import React from "react";
import { Input, Ref } from "semantic-ui-react";
import { PureComponent, createRef } from "react";
import { func, node, string } from "prop-types";
import { isNil } from "lodash";
export class MultiSelectDropdownSearchInput extends PureComponent {
  constructor() {
    super(...arguments);

    _defineProperty(this, "_inputRef", createRef());

    _defineProperty(this, "handleChange", (event, _ref) => {
      let {
        value
      } = _ref;
      const {
        onChange
      } = this.props;
      onChange(event, value, this.props);
    });
  }

  componentDidMount() {
    const inputElement = this._inputRef.current.querySelector("input");

    if (!isNil(inputElement)) {
      inputElement.select();
    }
  }

  getClasses() {
    const {
      className
    } = this.props;
    const defaultClasses = "colored";
    return isNil(className) ? defaultClasses : "".concat(defaultClasses, " ").concat(className);
  }

  render() {
    const {
      placeholder,
      icon
    } = this.props;
    return React.createElement(Ref, {
      innerRef: this._inputRef
    }, React.createElement(Input, {
      onChange: this.handleChange,
      placeholder: placeholder,
      icon: true,
      iconPosition: "left",
      className: this.getClasses(),
      autoComplete: "off"
    }, React.createElement("i", {
      className: "icon"
    }, icon), React.createElement("input", null)));
  }

}